## org.apache.lucene.document
Class SortedSetDocValuesField

    java.lang.Object
      org.apache.lucene.document.Field
          org.apache.lucene.document.SortedSetDocValuesField

All Implemented Interfaces:
  IndexableField

    public class SortedSetDocValuesField

extends Field

Field that stores a set of per-document `BytesRef` values, indexed for faceting,grouping,joining. Here's an example usage:

       document.add(new SortedSetDocValuesField(name, new BytesRef("hello")));
       document.add(new SortedSetDocValuesField(name, new BytesRef("world")));

If you also need to store the value, you should add a separate `StoredField` instance.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.document.Field
`Field.Index, Field.Store, Field.TermVector`

Field Summary
`static FieldType` `TYPE` Type for sorted bytes DocValues

Fields inherited from class org.apache.lucene.document.Field
`boost, fieldsData, name, tokenStream, type`

Constructor Summary
`SortedSetDocValuesField(String name, BytesRef bytes)` Create a new sorted DocValues field.

Method Summary

Methods inherited from class org.apache.lucene.document.Field
`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final FieldType TYPE

  Type for sorted bytes DocValues

Constructor Detail

### SortedSetDocValuesField

    public SortedSetDocValuesField(String name,
                                   BytesRef bytes)

  Create a new sorted DocValues field.

  Parameters:
    `name` - field name
    `bytes` - binary content
  Throws:
    `IllegalArgumentException` - if the field name is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.